# utmthesis
The LaTeX class for Universiti Teknologi Malaysia (UTM) thesis.  

## Description

The utmthesis project provides and maintains a LaTeX class, BibTeX styles (for both authordate and number citation styles) as well as a LyX layout to typeset your thesis according to the Universiti Teknologi Malaysia (UTM) thesis formatting rules. It is currently the most time saving and efficient way to write a UTM compliant thesis.  

This is an ongoing project and it a free software project licensed under the New BSD License.

Even though you just spent 1-2 days writing the content of your thesis (because you are lazy), you can instantly generate the entire thesis in PDF with fully formatted table of contents, references, appendix, front cover, etc. This results in a beautifully written shiny magical thesis that will bedazzle your supervisors and examiners, guaranteeing you an A+.. or not.

There are tutorials, tips & examples on how to use LaTeX provided in the downloads and wiki section.

Download the latest version of utmthesis (both in LaTeX and LyX) here! Due to upload limitation imposed by Google, we could not upload new updates here. Temporarily, we provide download links from FKE Postgraduate Website while we are trying to resolve the upload restriction here.

## Versions
Current stable release: version 7.0

## Required Software
1.  A good LaTeX compiler.  For Windows users, you may try MikTeX or ProTeXt. For Linux users, install TeX Live. Note: If you install a minimal/basic version of a Latex compiler, you will face problems. Go for the full download.  For Ubuntu (or Debian based distros) type the following command in your shell to auto-magically install all the above software like a boss:

    sudo apt-get install texlive-full texmaker jabref

2.  A text editor (an advance Notepad) such as TeXstudio or Texmaker or you may try LyX which is extremely user-friendly and provides a WYSWYG-like interface (What You See is What You Get).

## Changes in version 7.0
1. Adheres to the 2023 version.
2. \schools have been removed from the template.
3. Adjusted spacings in toc, lot, lof
4. Ditto for *.lyx and *.layout

## Changes in version 6.3
1. Supervisor declaration page changed to use Roman numerals for multiple supervisors
2. Tex to put list of publications to after Appendix.
3. Ditto for *.lyx and *.layout

## Changes in version 6.2
1. Supports single-side printing
2. Bug corrected for the p{length} was written as b{length}

## Changes in version 6.1
1. Fixed minor bugs with the declaration pages.   

## Changes in version 6.0
1.  Latest version that conforms to the UTM Thesis Format 2018

## Changes in version 5.1
1.  The declaration and cover pages depends on the intake year.
    The new guideline applies to intake 2014 only.

## Changes in version 5.0

1.  Supports two-side printing.

## Changes in version 4.3

1.  Changed from "final year project report" to "report" based on 2015 manual.
2.  Solved the irregular spacing between title-author and author-degree type.
3.  Bold numbers for chapters in TOC.
4.  Removed one quote mark from Supervisor's Declaration
